%global pkg_name gio

%global common_summary Haskell %{pkg_name} library

%global common_description A %{pkg_name} binding for Haskell.

# add any foreign library dependencies here:
%global ghc_pkg_c_deps glib2-devel

Name:           ghc-%{pkg_name}
Version:        0.12.0
Release:        5%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}
BuildRequires:  gtk2hs-buildtools
BuildRequires:  ghc-glib-prof, ghc-bytestring-prof, ghc-mtl-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

# demo files
rm -r $RPM_BUILD_ROOT%{_datadir}/%{pkg_name}-%{version}
echo %doc demo >> %{name}-devel.files


%ghc_lib_package


%changelog
* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 0.12.0-5
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.12.0-4
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 0.12.0-2
- update to cabal2spec-0.22.4

* Tue Nov 30 2010 Jens Petersen <petersen@redhat.com> - 0.12.0-1
- update to 0.12.0
- put the new demo files in doc

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-4
- fix Cabal-1.10 build with ghc7-Gtk2HsSetup-Cabal-1.10.patch

* Wed Sep 29 2010 jkeating - 0.11.1-3
- Rebuilt for gcc bug 634757

* Wed Sep 15 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-2
- add missing mtl dep (#629551)

* Thu Sep  2 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-1
- update to 0.11.1

* Sat Jul 17 2010 Jens Petersen <petersen@redhat.com> - 0.11.0-0
- license is LGPLv2+
- ghc-glib-devel and glib2-devel dependencies
- BR gtk2hs-buildtools

* Sat Jul 17 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.11.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.1
